import { z } from "zod";
/**
 * @internal
 */
export declare const ExtensionMetadataInput: z.ZodObject<{
    name: z.ZodString;
    metadataURI: z.ZodString;
    implementation: z.ZodUnion<[z.ZodType<string, z.ZodTypeDef, string>, z.ZodType<`0x${string}`, z.ZodTypeDef, `${string}.eth` | `${string}.cb.id`>]>;
}, "strip", z.ZodTypeAny, {
    name: string;
    implementation: string;
    metadataURI: string;
}, {
    name: string;
    implementation: string;
    metadataURI: string;
}>;
/**
 * @internal
 */
export declare const ExtensionFunctionInput: z.ZodObject<{
    functionSelector: z.ZodUnion<[z.ZodArray<z.ZodNumber, "many">, z.ZodString]>;
    functionSignature: z.ZodString;
}, "strip", z.ZodTypeAny, {
    functionSelector: string | number[];
    functionSignature: string;
}, {
    functionSelector: string | number[];
    functionSignature: string;
}>;
/**
 * @internal
 */
export declare const ExtensionInput: z.ZodObject<{
    metadata: z.ZodObject<{
        name: z.ZodString;
        metadataURI: z.ZodString;
        implementation: z.ZodUnion<[z.ZodType<string, z.ZodTypeDef, string>, z.ZodType<`0x${string}`, z.ZodTypeDef, `${string}.eth` | `${string}.cb.id`>]>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        implementation: string;
        metadataURI: string;
    }, {
        name: string;
        implementation: string;
        metadataURI: string;
    }>;
    functions: z.ZodArray<z.ZodObject<{
        functionSelector: z.ZodUnion<[z.ZodArray<z.ZodNumber, "many">, z.ZodString]>;
        functionSignature: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        functionSelector: string | number[];
        functionSignature: string;
    }, {
        functionSelector: string | number[];
        functionSignature: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    metadata: {
        name: string;
        implementation: string;
        metadataURI: string;
    };
    functions: {
        functionSelector: string | number[];
        functionSignature: string;
    }[];
}, {
    metadata: {
        name: string;
        implementation: string;
        metadataURI: string;
    };
    functions: {
        functionSelector: string | number[];
        functionSignature: string;
    }[];
}>;
//# sourceMappingURL=extensions.d.ts.map