import { z } from "zod";
/**
 * @internal
 */
export declare const TieredDropPayloadSchema: z.ZodObject<z.objectUtil.extendShape<{
    to: z.ZodEffects<z.ZodUnion<[z.ZodType<string, z.ZodTypeDef, string>, z.ZodType<`0x${string}`, z.ZodTypeDef, `${string}.eth` | `${string}.cb.id`>]>, string, string>;
    price: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber]>, string, string | number>>;
    currencyAddress: z.ZodDefault<z.ZodType<string, z.ZodTypeDef, string>>;
    mintStartTime: z.ZodDefault<z.ZodUnion<[z.ZodEffects<z.ZodDate, import("ethers").BigNumber, Date>, z.ZodEffects<z.ZodNumber, import("ethers").BigNumber, number>]>>;
    mintEndTime: z.ZodDefault<z.ZodUnion<[z.ZodEffects<z.ZodDate, import("ethers").BigNumber, Date>, z.ZodEffects<z.ZodNumber, import("ethers").BigNumber, number>]>>;
    uid: z.ZodEffects<z.ZodOptional<z.ZodString>, string, string | undefined>;
    primarySaleRecipient: z.ZodDefault<z.ZodUnion<[z.ZodType<string, z.ZodTypeDef, string>, z.ZodType<`0x${string}`, z.ZodTypeDef, `${string}.eth` | `${string}.cb.id`>]>>;
}, {
    tierPriority: z.ZodArray<z.ZodString, "many">;
    royaltyRecipient: z.ZodDefault<z.ZodUnion<[z.ZodType<string, z.ZodTypeDef, string>, z.ZodType<`0x${string}`, z.ZodTypeDef, `${string}.eth` | `${string}.cb.id`>]>>;
    royaltyBps: z.ZodDefault<z.ZodNumber>;
    quantity: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBigInt, z.ZodType<import("ethers").BigNumber, z.ZodTypeDef, import("ethers").BigNumber>]>, import("ethers").BigNumber, string | number | bigint | import("ethers").BigNumber>>;
}>, "strip", z.ZodTypeAny, {
    to: string;
    quantity: import("ethers").BigNumber;
    primarySaleRecipient: string;
    price: string;
    uid: string;
    royaltyRecipient: string;
    royaltyBps: number;
    currencyAddress: string;
    mintStartTime: import("ethers").BigNumber;
    mintEndTime: import("ethers").BigNumber;
    tierPriority: string[];
}, {
    to: string;
    tierPriority: string[];
    quantity?: string | number | bigint | import("ethers").BigNumber | undefined;
    primarySaleRecipient?: string | undefined;
    price?: string | number | undefined;
    uid?: string | undefined;
    royaltyRecipient?: string | undefined;
    royaltyBps?: number | undefined;
    currencyAddress?: string | undefined;
    mintStartTime?: number | Date | undefined;
    mintEndTime?: number | Date | undefined;
}>;
/**
 * @public
 */
export type TieredDropPayloadInput = z.input<typeof TieredDropPayloadSchema>;
/**
 * @internal
 */
export type TieredDropPayloadOutput = z.output<typeof TieredDropPayloadSchema>;
/**
 * @internal
 */
export type TieredDropPayloadWithSignature = {
    payload: TieredDropPayloadOutput;
    signature: string;
};
export declare const GenericRequest: {
    name: string;
    type: string;
}[];
//# sourceMappingURL=tiered-drop.d.ts.map